<?php

namespace Drupal\rest_block_data\Normalizer;

use Drupal\serialization\Normalizer\NormalizerBase;

/**
 * Breadcrumb Normalizer.
 */
class BreadcrumbNormalizer extends NormalizerBase
{
    /**
     * {@inheritdoc}
     */
    protected $supportedInterfaceOrClass = \Drupal\Core\Breadcrumb\Breadcrumb::class;

    /**
     * {@inheritdoc}
     */
    public function normalize($object, $format = NULL, array $context = array())
    {
        $normalized = [];

        foreach ($object->getLinks() as $link)
            $normalized[] = $this->serializer->normalize($link, $format, $context);

        return $normalized;
    }
}
