<?php

namespace Drupal\rest_block_data\Normalizer;

use Drupal\serialization\Normalizer\NormalizerBase;

/**
 * Views style normalizer
 */
class StylePluginBaseNormalizer extends NormalizerBase
{

    /**
     * {@inheritdoc}
     */
    protected $supportedInterfaceOrClass = \Drupal\views\Plugin\views\style\StylePluginBase::class;

    /**
     * {@inheritdoc}
     */
    public function normalize($object, $format = NULL, array $context = array())
    {
        $normalized = [
            'uses_fields' => $object->usesFields()
        ];

        return $normalized;
    }
}
