CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

The "Rest Block Data modules" provides the data for the Drupal's block layout.
So we can build the decoupled application's frontend layout structure from
Drupal block layout as same as Drupal's theme.

This modules address the following pain points in the decoupled applications,

 * Lack of frontend dynamics: Not like inbuilt Drupal theme, Decoupled theme 
   (React, Angular etc) is more about static. Without block layout 
   We loose the essence of CMS.

 * Core bootstrap redundancy: One page may have multiple APIs calls for the 
   respective data and Drupal core bootstraps on each API call which is redundant 
   and more importantly impact the backend server for high traffic application.


REQUIREMENTS
------------

 * [rest_block_layout](https://www.drupal.org/project/rest_block_layout)
 * [menu_normalizer](https://www.drupal.org/project/menu_normalizer)


INSTALLATION
------------

Install the "Rest block data" module as you would normally install a contributed
Drupal module. Visit https://www.drupal.org/node/1897420 for further
information.


CONFIGURATION
-------------

    1. Navigate to Administration > Extend and enable the module.
       Web services -> Rest Block Data.


MAINTAINERS
-----------

 * Karuppusamy Ganesan - https://www.drupal.org/u/gkaruppusamy
