<?php

namespace Drupal\rest_block_data\Plugin\Block;

use Drupal\system\Plugin\Block\SystemMessagesBlock as ParentBlock;

/**
 * \Drupal\system\Plugin\Block\SystemMessagesBlock override.
 */
class SystemMessagesBlock extends ParentBlock implements BlockInterface
{
    /**
     * {@inheritdoc}
     */
    public function buildToRest()
    {
        \Drupal::messenger()->addStatus('some test message');

        return [
            'messages' => \Drupal::messenger()->deleteAll(),
            'status_headings' => [
                'status' => t('Status message')->render(),
                'error' => t('Error message')->render(),
                'warning' => t('Warning message')->render()
            ]
        ];
    }
}
